> For the complete documentation index, see [llms.txt](https://docs.intrepidcs.com/vspy-3-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intrepidcs.com/vspy-3-documentation/vehicle-spy-main-menus/main-menu-measurement/mep-xcp-ccp-memory-edit-protocol/mep-setup/mep-setup-properties.md).

# MEP Setup - Properties

Please refer to the numbered areas in Figure 1 below as the [MEP Setup](/vspy-3-documentation/vehicle-spy-main-menus/main-menu-measurement/mep-xcp-ccp-memory-edit-protocol/mep-setup.md) Properties tab features are explained.

### ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smOne.gif) **ECU Long Description & Checkboxes**:

The ECU Long Description field displays the ECU description from the A2L file. The checkboxes below the description control various features:

* *Generate Read for every Write* - read back and verify data after every calibration written to the ECU.
* *Upload memory on characteristic open* - upload and display the latest data from the ECU when a calibration is opened for editing.
* *Intel address encoding* - use Intel byte ordering (most significant byte last) for memory addressing.
* *Auto start MEP when VSpy goes online* - start VSpy in "Run with MEP" mode everytime it goes online.
* *SHORT\_UP Supported* - enable if the ECU supports the Short\_Upload command (CCP $0F or XCP $F4). This setting is typically set by the A2L file.

### ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTwo.gif) **CAN Identifiers**:

CAN IDs of the CCP requests transmitted by MEP and the responses received from the ECU. In some cases, a secondary Station ID is also used to properly address an ECU.

### ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smThree.gif) **ECU Upload / Download**:

Click the "Force upload from ECU" button to update all MEP calibration and measurements with the current data from the ECU. Click the "Force download to ECU" button to update all ECU calibrations with the current data in MEP. A status bar indicates the progress of the upload or download event.

### ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFour.gif) **ECU State**:

Click the Connect/Disconnect button to start and stop the CCP/XCP link between MEP and the ECU. The current state of the CCP/XCP connection is displayed next to the button. If enabled "Automatically Reconnect" will attempt to reconnect if a disconnect is detected.

### ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFive.gif) **DAQ Delays**:

These delay times are used by the High/Normal/Low priorities in [standard data acquisition](/vspy-3-documentation/vehicle-spy-main-menus/main-menu-measurement/mep-xcp-ccp-memory-edit-protocol/data-acquisition-with-ccp-xcp.md) with CCP/XCP. Lower delay times will make measurements appear closer to "real time", but also take up more network bandwidth and ECU resources.

![Figure 1: The MEP Setup Properties tab](/files/3EABfnECmWJqZhU7DaVO)

Please continue to refer to Figure 1 as the remaining Properties tab features are explained.

### ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smSix.gif) **Network**:

Determines which [Network](/vspy-3-documentation/vehicle-spy-main-menus/main-menu-setup/setup-a-network.md) that MEP will use for the CCP link with the ECU.

### ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smSeven.gif) **ASAP2**:

Click the "Reload A2L File" button to remap the memory address and size of all items in the A2L data item tree based upon the A2L file selected. This can save setup time if memory mapping has changed in the A2L file. If "Auto reload on open" is enabled then the A2L file is reloaded everytime the Vehicle Spy [vs3 setup file](/vspy-3-documentation/basic-operation-of-vehicle-spy/create-open-and-save-vehicle-spy-setups.md) is opened.

### ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smEight.gif) **On Start Memory Load**:

These actions (when enabled) will occur every time Vehicle Spy goes online in MEP mode:

* *Upload from ECU* - update MEP calibrations and measurements with data uploaded from the ECU.
* *Use stored data* - do nothing and use whatever data is currently in MEP.
* *Download to ECU* - update ECU calibrations with data from MEP downloaded to the ECU.

### ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smNine.gif) **Communication Protocol**:

Select between CCP (CAN Calibration Protocol) or XCP (Universal Calibration Protocol). Each protocol has a command set and requirements established by ASAM specifications that define the link between Vehicle Spy MEP and the ECU.

### ![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTen.gif) **CCP Event Setup**:

This table lists any events defined in the A2L file. CCP Events are used for [event based data acquisition](/vspy-3-documentation/vehicle-spy-main-menus/main-menu-measurement/mep-xcp-ccp-memory-edit-protocol/data-acquisition-with-ccp-xcp.md) with CCP/XCP.

If no events are shown then you can create and edit them using the mouse right click menu. Note that events are optional though and not all ECUs support them. The number (in decimal) in the "Event" column is specific to an ECU's implementation and might not work if it is not part of the original A2L file.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.intrepidcs.com/vspy-3-documentation/vehicle-spy-main-menus/main-menu-measurement/mep-xcp-ccp-memory-edit-protocol/mep-setup/mep-setup-properties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
